Update shell timeout
Replace a running shell command’s timeout from now, or clear it with zero.
PATCH
/api/shell/{id}/timeoutPath parameters
idobjectrequiredQuery parameters
locationobject | anyRequest body
requiredapplication/jsontimeoutobjectrequiredShow propertiesHide properties
objectResponses
200Success
locationLocation.InforequiredShow propertiesHide properties
directorystringrequiredworkspaceIDobjectShow propertiesHide properties
objectprojectobjectrequiredShow propertiesHide properties
idstringrequireddirectorystringrequireddataShell1requiredShow propertiesHide properties
idobjectrequiredShow propertiesHide properties
objectstatusstringrequiredAllowed:
runningexitedtimeoutkilledcommandstringrequiredcwdstringrequiredshellstringrequiredfilestringrequiredpidobjectShow propertiesHide properties
objectexitnumber | string | stringShow propertiesHide properties
Any of:
number | string
Any of:
number
numberstring
stringstring
stringstring
stringstring
stringmetadataobjectrequiredtimeobjectrequiredShow propertiesHide properties
startednumber | string | stringrequiredShow propertiesHide properties
Any of:
number | string
Any of:
number
numberstring
stringstring
stringstring
stringstring
stringcompletednumber | string | stringShow propertiesHide properties
Any of:
number | string
Any of:
number
numberstring
stringstring
stringstring
stringstring
string400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404ShellNotFoundError
_tagstringrequiredAllowed:
ShellNotFoundErroridstringrequiredmessagestringrequiredRequest
curl -X PATCH "/api/shell/%5Bobject%20Object%5D/timeout" \
-H "Content-Type: application/json" \
-d '{
"timeout": {}
}'const response = await fetch("/api/shell/%5Bobject%20Object%5D/timeout", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"timeout": {}
})
});import requests
response = requests.patch(
"/api/shell/%5Bobject%20Object%5D/timeout",
headers={
"Content-Type": "application/json"
},
json={
"timeout": {}
},
)Response
{
"location": {
"directory": "string",
"workspaceID": {},
"project": {
"id": "string",
"directory": "string"
}
},
"data": {
"id": {},
"status": "running",
"command": "string",
"cwd": "string",
"shell": "string",
"file": "string",
"pid": {},
"exit": 0,
"metadata": {},
"time": {
"started": 0,
"completed": 0
}
}
}{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "ShellNotFoundError",
"id": "string",
"message": "string"
}